import request from '@/utils/request'

// 查询违规记录列表
export function listViolationRecord(query) {
  return request({
    url: '/laboratory/violationRecord/list',
    method: 'get',
    params: query
  })
}

// 查询违规记录详细
export function getViolationRecord(id) {
  return request({
    url: '/laboratory/violationRecord/' + id,
    method: 'get'
  })
}

// 新增违规记录
export function addViolationRecord(data) {
  return request({
    url: '/laboratory/violationRecord',
    method: 'post',
    data: data
  })
}

// 修改违规记录
export function updateViolationRecord(data) {
  return request({
    url: '/laboratory/violationRecord',
    method: 'put',
    data: data
  })
}

// 删除违规记录
export function delViolationRecord(id) {
  return request({
    url: '/laboratory/violationRecord/' + id,
    method: 'delete'
  })
}
